NAME Centauri Ambassador
NAM2 The Centauri Ambassador
ICON items/s_londo.tga
GFXP items/l_londo.tga
FLAG life unique nogen nowish nosell nothief
DIST cold warm hot
TEXT Londo Mollari is the Centauri Republic ambassador to the Earth Alliance, and a cunning politician with great ambitions.
COST 300 strategic
TYPE passenger

